## phantomjs 1.3.0+dfsg

=== debian/changelog ===
phantomjs (1.3.0+dfsg-4) unstable; urgency=low

  * debian/patches/0001-build-with-libjs-coffeesciprt.patch: Fixed
    coffee-script.js path. (Closes: #651171)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 06 Dec 2011 22:37:13 +0900

phantomjs (1.3.0+dfsg-3) unstable; urgency=low

  * debian/control: Add python-qt4 to Depends (Closes: #648409)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 15 Nov 2011 11:31:06 +0900

phantomjs (1.3.0+dfsg-2) unstable; urgency=low

  * debian/watch: improve pattern to return correct value.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 01 Nov 2011 09:16:37 +0900

phantomjs (1.3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #646556)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 25 Oct 2011 15:13:08 +0900

## phantomjs 1.9.0

=== src/qt/src/3rdparty/libpng/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

if(UNIX AND NOT DEFINED CMAKE_BUILD_TYPE)
  if(CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
    # workaround CMake 2.4.x bug
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
        "Choose the type of build, options are:
           None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
           Debug
           Release
           RelWithDebInfo
           MinSizeRel.")
  else()
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
        "Choose the type of build, options are:
           None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
           Debug
           Release
           RelWithDebInfo
           MinSizeRel.")
  endif()
endif()

project(libpng C)
enable_testing()

# Copyright (C) 2007-2011 Glenn Randers-Pehrson

# This code is released under the libpng license.
# For conditions of distribution and use, see the disclaimer
# and license in png.h

set(PNGLIB_MAJOR 1)
set(PNGLIB_MINOR 5)
set(PNGLIB_RELEASE 4)
set(PNGLIB_NAME libpng${PNGLIB_MAJOR}${PNGLIB_MINOR})
set(PNGLIB_VERSION ${PNGLIB_MAJOR}.${PNGLIB_MINOR}.${PNGLIB_RELEASE})

# needed packages
find_package(ZLIB REQUIRED)
include_directories(${ZLIB_INCLUDE_DIR})

if(NOT WIN32)
  find_library(M_LIBRARY
    NAMES m
    PATHS /usr/lib /usr/local/lib
  )
  if(NOT M_LIBRARY)
    message(STATUS
      "math library 'libm' not found - floating point support disabled")
  endif()
else()
  # not needed on windows
  set(M_LIBRARY "")
endif()

# COMMAND LINE OPTIONS
if(DEFINED PNG_SHARED)
  option(PNG_SHARED "Build shared lib" ${PNG_SHARED})
else()
  option(PNG_SHARED "Build shared lib" ON)
endif()
if(DEFINED PNG_STATIC)
  option(PNG_STATIC "Build static lib" ${PNG_STATIC})
else()
  option(PNG_STATIC "Build static lib" ON)
endif()

if(MINGW)
  option(PNG_TESTS  "Build pngtest" NO)
else()
  option(PNG_TESTS  "Build pngtest" YES)
endif()

option(PNG_NO_CONSOLE_IO "FIXME" YES)
option(PNG_NO_STDIO      "FIXME" YES)
option(PNG_DEBUG         "Build with debug output" NO)
option(PNGARG            "FIXME" YES)
#TODO:
# PNG_CONSOLE_IO_SUPPORTED

# maybe needs improving, but currently I don't know when we can enable what :)
set(png_asm_tmp "OFF")
if(NOT WIN32)
  find_program(uname_executable NAMES uname PATHS /bin /usr/bin /usr/local/bin)
  if(uname_executable)
    exec_program(${uname_executable}
                 ARGS --machine OUTPUT_VARIABLE uname_output)
    if("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "ON")
    else("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "OFF")
    endif("uname_output" MATCHES "^.*i[1-9]86.*$")
  endif(uname_executable)
else()
  # this env var is normally only set on win64
  set(TEXT "ProgramFiles(x86)")
  if("$ENV{${TEXT}}" STREQUAL "")
    set(png_asm_tmp "ON")
  endif("$ENV{${TEXT}}" STREQUAL "")
endif()

# SET LIBNAME
set(PNG_LIB_NAME png${PNGLIB_MAJOR}${PNGLIB_MINOR})

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")

# Use the prebuilt pnglibconf.h file from the scripts folder
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/scripts/pnglibconf.h.prebuilt
               ${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# OUR SOURCES
set(libpng_public_hdrs
  png.h
  pngconf.h
  ${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h
)
set(libpng_sources
  ${libpng_public_hdrs}
  pngdebug.h
  pnginfo.h
  pngpriv.h
  pngstruct.h
  png.c
  pngerror.c
  pngget.c
  pngmem.c
  pngpread.c
  pngread.c
  pngrio.c
  pngrtran.c
  pngrutil.c
  pngset.c
  pngtrans.c
  pngwio.c
  pngwrite.c
  pngwtran.c
  pngwutil.c
)
set(pngtest_sources
  pngtest.c
)
# SOME NEEDED DEFINITIONS

add_definitions(-DPNG_CONFIGURE_LIBPNG)

if(MSVC)
  add_definitions(-DPNG_NO_MODULEDEF -D_CRT_SECURE_NO_DEPRECATE)
endif(MSVC)

if(PNG_SHARED OR  NOT MSVC)
  #if building msvc static this has NOT to be defined
  add_definitions(-DZLIB_DLL)
endif()


if(PNG_CONSOLE_IO_SUPPORTED)
  add_definitions(-DPNG_CONSOLE_IO_SUPPORTED)
endif()

if(PNG_NO_CONSOLE_IO)
  add_definitions(-DPNG_NO_CONSOLE_IO)
endif()

if(PNG_NO_STDIO)
  add_definitions(-DPNG_NO_STDIO)
endif()

if(PNG_DEBUG)
  add_definitions(-DPNG_DEBUG)
endif()

if(NOT M_LIBRARY AND NOT WIN32)
  add_definitions(-DPNG_NO_FLOATING_POINT_SUPPORTED)
endif()

# NOW BUILD OUR TARGET
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${ZLIB_INCLUDE_DIR})

if(PNG_SHARED)
  add_library(${PNG_LIB_NAME} SHARED ${libpng_sources})
  if(MSVC)
    # msvc does not append 'lib' - do it here to have consistent name
    set_target_properties(${PNG_LIB_NAME} PROPERTIES PREFIX "lib")
    set_target_properties(${PNG_LIB_NAME} PROPERTIES IMPORT_PREFIX "lib")
  endif()
  target_link_libraries(${PNG_LIB_NAME} ${ZLIB_LIBRARY} ${M_LIBRARY})
endif()

if(PNG_STATIC)
# does not work without changing name
  set(PNG_LIB_NAME_STATIC ${PNG_LIB_NAME}_static)
  add_library(${PNG_LIB_NAME_STATIC} STATIC ${libpng_sources})
  if(MSVC)
    # msvc does not append 'lib' - do it here to have consistent name
    set_target_properties(${PNG_LIB_NAME_STATIC} PROPERTIES PREFIX "lib")
  endif()
  target_link_libraries(${PNG_LIB_NAME_STATIC} ${ZLIB_LIBRARY} ${M_LIBRARY})
endif()


if(PNG_SHARED AND WIN32)
  set_target_properties(${PNG_LIB_NAME} PROPERTIES DEFINE_SYMBOL PNG_BUILD_DLL)
endif()

if(PNG_TESTS AND PNG_SHARED)
  # does not work with msvc due to png_lib_ver issue
  add_executable(pngtest ${pngtest_sources})
  target_link_libraries(pngtest ${PNG_LIB_NAME})
  add_test(pngtest ./pngtest ${CMAKE_CURRENT_SOURCE_DIR}/pngtest.png)
endif()

#
# Set a variable with CMake code which:
# Creates a symlink from src to dest (if possible) or alternatively
# copies if different.
macro(_png_generate_symlink_code CODE SRC DEST)
  if(WIN32 AND NOT CYGWIN)
    set(_png_gsc_message "Copying ${SRC} to ${DEST} if needed")
    set(_png_gsc_operation "copy_if_different")
  else()
    set(_png_gsc_message "Symlinking ${SRC} to ${DEST}")
    set(_png_gsc_operation "create_symlink")
  endif()

  set(${CODE} "
    message(STATUS \"${_png_gsc_message}\")
    execute_process(COMMAND \${CMAKE_COMMAND} -E ${_png_gsc_operation}
      \"${SRC}\" \"${DEST}\")
    ")
endmacro()

# CREATE PKGCONFIG FILES
# we use the same files like ./configure, so we have to set its vars
if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
  set(CMAKE_INSTALL_LIBDIR lib)
endif(NOT DEFINED CMAKE_INSTALL_LIBDIR)
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir      ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)
set(LIBS        "-lz -lm")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libpng.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}.pc @ONLY)
_png_generate_symlink_code(PNG_PC_INSTALL_CODE
  ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}.pc
  ${CMAKE_CURRENT_BINARY_DIR}/libpng.pc)
install(CODE ${PNG_PC_INSTALL_CODE})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libpng-config.in
  ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}-config @ONLY)
_png_generate_symlink_code(PNG_CONFIG_INSTALL_CODE
  ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}-config
  ${CMAKE_CURRENT_BINARY_DIR}/libpng-config)
install(CODE ${PNG_CONFIG_INSTALL_CODE})

# SET UP LINKS
if(PNG_SHARED)
  set_target_properties(${PNG_LIB_NAME} PROPERTIES
#   VERSION 15.${PNGLIB_RELEASE}.1.5.4
    VERSION 15.${PNGLIB_RELEASE}.0
    SOVERSION 15
    CLEAN_DIRECT_OUTPUT 1)
endif()
if(PNG_STATIC)
  # MSVC doesn't use a different file extension for shared vs. static
  # libs.  We are able to change OUTPUT_NAME to remove the _static
  # for all other platforms.
  if(NOT MSVC)
    set_target_properties(${PNG_LIB_NAME_STATIC} PROPERTIES
      OUTPUT_NAME ${PNG_LIB_NAME}
      CLEAN_DIRECT_OUTPUT 1)
  endif()
endif()

# If CMake > 2.4.x, we set a variable used below to export
# targets to an export file.
# TODO: Use VERSION_GREATER after our cmake_minimum_required >= 2.6.2
if(CMAKE_MAJOR_VERSION GREATER 1 AND CMAKE_MINOR_VERSION GREATER 4)
  set(PNG_EXPORT_RULE EXPORT libpng)
elseif(CMAKE_MAJOR_VERSION GREATER 2) # future proof
  set(PNG_EXPORT_RULE EXPORT libpng)
endif()

# INSTALL
if(NOT SKIP_INSTALL_LIBRARIES AND NOT SKIP_INSTALL_ALL )
  if(PNG_SHARED)
    install(TARGETS ${PNG_LIB_NAME}
        ${PNG_EXPORT_RULE}
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

    # Create a symlink for libpng.dll.a => libpng15.dll.a on Cygwin
    if(CYGWIN)
      _png_generate_symlink_code(PNG_SHARED_IMPLIB_INSTALL_CODE
        ${PNGLIB_NAME}${CMAKE_IMPORT_LIBRARY_SUFFIX}
        libpng${CMAKE_IMPORT_LIBRARY_SUFFIX})
      install(CODE ${PNG_SHARED_IMPLIB_INSTALL_CODE})
      install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_IMPORT_LIBRARY_SUFFIX}
        DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif()

    if(NOT WIN32)
      IF(CMAKE_LIBRARY_OUTPUT_DIRECTORY)
        _png_generate_symlink_code(PNG_SHARED_INSTALL_CODE
 ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${PNGLIB_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX}
 ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
                install(CODE ${PNG_SHARED_INSTALL_CODE})
                install(FILES
 ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng${CMAKE_SHARED_LIBRARY_SUFFIX}
                DESTINATION ${CMAKE_INSTALL_LIBDIR})
      ELSE(CMAKE_LIBRARY_OUTPUT_DIRECTORY)
        _png_generate_symlink_code(PNG_SHARED_INSTALL_CODE
           ${PNGLIB_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX}
           libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
        install(CODE ${PNG_SHARED_INSTALL_CODE})
        install(FILES
           ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_SHARED_LIBRARY_SUFFIX}
                DESTINATION ${CMAKE_INSTALL_LIBDIR})
      ENDIF(CMAKE_LIBRARY_OUTPUT_DIRECTORY)
    endif()
  endif()

  if(PNG_STATIC)
    install(TARGETS ${PNG_LIB_NAME_STATIC}
        ${PNG_EXPORT_RULE}
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
    if(NOT WIN32 OR CYGWIN)
      IF(CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
         _png_generate_symlink_code(PNG_STATIC_INSTALL_CODE
${CMAKE_ARCHIVE_OUTPUT_DIRECTORY}/${PNGLIB_NAME}${CMAKE_STATIC_LIBRARY_SUFFIX}
        ${CMAKE_ARCHIVE_OUTPUT_DIRECTORY}/libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
        install(CODE ${PNG_STATIC_INSTALL_CODE})
        install(FILES
          ${CMAKE_ARCHIVE_OUTPUT_DIRECTORY}/libpng${CMAKE_STATIC_LIBRARY_SUFFIX}
             DESTINATION ${CMAKE_INSTALL_LIBDIR})
      ELSE(CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
        _png_generate_symlink_code(PNG_STATIC_INSTALL_CODE
           ${PNGLIB_NAME}${CMAKE_STATIC_LIBRARY_SUFFIX}
           libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
        install(CODE ${PNG_STATIC_INSTALL_CODE})
        install(FILES
          ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_STATIC_LIBRARY_SUFFIX}
                     DESTINATION ${CMAKE_INSTALL_LIBDIR})
      ENDIF(CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
    endif()
  endif()
endif()

if(NOT SKIP_INSTALL_HEADERS AND NOT SKIP_INSTALL_ALL )
  install(FILES ${libpng_public_hdrs}   DESTINATION include)
  install(FILES ${libpng_public_hdrs}   DESTINATION include/${PNGLIB_NAME})
endif()
if(NOT SKIP_INSTALL_EXECUTABLES AND NOT SKIP_INSTALL_ALL )
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/libpng-config DESTINATION bin)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}-config
          DESTINATION bin)
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
  # Install man pages
  if(NOT PNG_MAN_DIR)
    set(PNG_MAN_DIR "share/man")
  endif()
  install(FILES libpng.3 libpngpf.3      DESTINATION ${PNG_MAN_DIR}/man3)
  install(FILES png.5                    DESTINATION ${PNG_MAN_DIR}/man5)
  # Install pkg-config files
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/libpng-config
          DESTINATION bin)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}.pc

## phantomjs 1.4.0+dfsg

=== debian/changelog ===
phantomjs (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream 
  * debian/patches/0001-build-with-libjs-coffeesciprt.patch: Follow
    upstream changes.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Dec 2011 22:56:20 +0900

=== debian/control ===
Source: phantomjs
Section: web
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	qt4-qmake, 
	libqt4-dev,
	libqtwebkit-dev, 
	python-setuptools,
	python-support,
	python-all-dev,
	libjs-coffeescript
Standards-Version: 3.9.2
Homepage: http://www.phantomjs.org/
Vcs-Git: git://git.debian.org/collab-maint/phantomjs.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/phantomjs.git;a=summary

Package: phantomjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic headless WebKit-based with JavaScript API
 PhantomJS is a headless WebKit with JavaScript API. It has fast and native
 support for various web standards: DOM handling, CSS selector, JSON, Canvas,
 and SVG.
 .
 PhantomJS is an optimal solution for headless testing of web-based
 applications, site scraping, pages capture, SVG renderer, PDF converter
 and many other use cases.

Package: python-pyphantomjs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4
Provides: ${python:Provides}
Description: Python porting of phantomjs JavaScript-driven tool
 PhantomJS is a headless WebKit with JavaScript API. It has fast and native
 support for various web standards: DOM handling, CSS selector, JSON, Canvas,
 and SVG.
 .
 PhantomJS is an optimal solution for headless testing of web-based
 applications, site scraping, pages capture, SVG renderer, PDF converter
 and many other use cases.
 .
 This package is Python porting of PhantomJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_build:
	qmake-qt4
	$(MAKE)
	dh_auto_build -Dpython

override_dh_auto_install:
	$(MAKE) install
	dh_auto_install -Dpython --destdir=debian/python-pyphantomjs

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_clean -Dpython

## phantomjs 1.4.1+dfsg

=== debian/changelog ===
phantomjs (1.4.1+dfsg-1) unstable; urgency=low

  * Imported Upstream version 1.4.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 10 Feb 2012 10:24:27 +0900

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
  http://googlecode.debian.net/p/phantomjs/phantomjs-(.*)-source\.tar\.gz

## phantomjs 1.6.0

=== debian/changelog ===
phantomjs (1.6.0-5ubuntu2) quantal; urgency=low

  * Build-depend on libqtwebkit-dev again, removed in the 1.6.0
    packaging.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Oct 2012 16:57:38 +0200

phantomjs (1.6.0-5ubuntu1) quantal; urgency=low

  * Don't add an unknown compiler option. Fixes FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 26 Aug 2012 19:57:57 +0400

phantomjs (1.6.0-5) unstable; urgency=low

  * debian/install: install all customized Qt ralted libraries. 
   (Closes: #681505, #681829)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 18 Jul 2012 15:42:26 +0900

phantomjs (1.6.0-4) unstable; urgency=low

  * debian/patches/return_build_error: Removed.
  * debian/bin/phantomjs: Exec with args. (Closes: #681096)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 11 Jul 2012 11:04:04 +0900

phantomjs (1.6.0-3) unstable; urgency=low

  * debian/patches/return_build_error: To fail after build error immediately.
  * debian/control: libx11-dev and libxext-dev to Build-Depends. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 05 Jul 2012 09:16:30 +0900

phantomjs (1.6.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3. 
  * debian/rules: add hardening options. 
  * debian/control: Add some devel libraries to B-D. (Closes: #679760)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 03 Jul 2012 21:32:47 +0900

phantomjs (1.6.0-1) unstable; urgency=low

  * New upstream (Closes: #666397)
  * Drop python-pyphantomjs. It has been removed from upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 01 Jul 2012 02:50:03 +0900

=== debian/control ===
Source: phantomjs
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	libqt4-dev,
	libqtwebkit-dev,
	libjs-coffeescript
	, libfreetype6-dev
	, libjpeg-dev
	, libpng-dev
	, libsqlite3-dev
	, libssl-dev
	, libz-dev
	, libfontconfig1-dev
	, libx11-dev
	, libxext-dev
Standards-Version: 3.9.3
Homepage: http://www.phantomjs.org/
Vcs-Git: git://git.debian.org/collab-maint/phantomjs.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/phantomjs.git;a=summary

Package: phantomjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic headless WebKit-based with JavaScript API
 PhantomJS is a headless WebKit with JavaScript API. It has fast and native
 support for various web standards: DOM handling, CSS selector, JSON, Canvas,
 and SVG.
 .
 PhantomJS is an optimal solution for headless testing of web-based
 applications, site scraping, pages capture, SVG renderer, PDF converter
 and many other use cases.

## phantomjs 1.9.0

=== debian/changelog ===
phantomjs (1.9.0-1) unstable; urgency=low

  * Imported Upstream version 1.9.0 (Closes: #685404, #702381)
    + Fix ""Hello world" console.log() example prints nothing" (Closes: #696212)
  * Fix "FTBFS: /usr/bin/ld: cannot find -ljpeg" (Closes: #679760)
  * debian/patches/0001-build-with-libjs-coffeesciprt.patch: refresh patche
  * debian/install: delete src/qt/*
  * debian/patches/0002-Don-t-use-ld.gold-when-building-webkit.patch:
    Fix FTBFS on i386. (Closes: #693761)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 15 May 2013 10:40:40 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: phantomjs
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: TANIGUCHI Takaki <takaki@debian.org>
+Maintainer: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
 	libqt4-dev,
-	libqtwebkit-dev,
 	libjs-coffeescript
 	, libfreetype6-dev
 	, libjpeg-dev

=== debian/rules ===
#!/usr/bin/make -f

# include /usr/share/hardening-includes/hardening.make

# CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
# CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
# LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
# CFLAGS+=$(HARDENING_CFLAGS)
# CXXFLAGS+=$(HARDENING_CXXFLAGS)
# LDFLAGS+=$(HARDENING_LDFLAGS)

QT_CFG=-no-rpath -system-zlib -system-libjpeg -system-libpng \
	-system-sqlite -plugin-sql-sqlite 

%:
	dh $@

override_dh_auto_configure:
	true

override_dh_auto_build:
	(cd src/qt && ./preconfig.sh --qt-config "$(QT_CFG)" && cd ../..)
	src/qt/bin/qmake
	$(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	for i in src/qt/qmake src/qt/src/3rdparty/webkit/Source; do \
		[ ! -f $${i}/Makefile ] || $(MAKE) -C $${i} distclean ;\
	done

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/phantomjs

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//;s/\+repack// \
 http://code.google.com/p/phantomjs/downloads/list?can=1 .*/phantomjs-(\d[\d\.]*)-source\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## phantomjs 1.9.7u1

=== Makefile ===
# @package      phantomjs
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHAREDOC=$(DESTDIR)/usr/share/doc

ARCH=x86_64
VERSION=1.9.7

all:
	tar -jxvpf phantomjs-$(VERSION)-linux-$(ARCH).tar.bz2
	chrpath -d phantomjs-$(VERSION)-linux-$(ARCH)/bin/phantomjs

install:
	install --mode 0755 phantomjs-$(VERSION)-linux-$(ARCH)/bin/phantomjs -D $(USRBIN)/phantomjs
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/README.md -D $(USRSHAREDOC)/phantomjs/README.md
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/ChangeLog -D $(USRSHAREDOC)/phantomjs/changelog
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/third-party.txt -D $(USRSHAREDOC)/phantomjs/third-party.txt
	install --mode 0644 phantomjs-$(VERSION)-linux-$(ARCH)/LICENSE.BSD -D $(USRSHAREDOC)/phantomjs/LICENSE.BSD
	install --mode 0755 -d $(USRSHAREDOC)/phantomjs/examples
	cp -a phantomjs-$(VERSION)-linux-$(ARCH)/examples/* $(USRSHAREDOC)/phantomjs/examples

uninstall:
	@true

postinst:
	@true

clean:
	rm -fr phantomjs-$(VERSION)-linux-$(ARCH)

.PHONY: all install uninstall postinst clean

## phantomjs 1.9.7-1+deb6

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      phantomjs
-# @file         Makefile
+# @file	        Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyrigh     Copyright (c) 2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -27,11 +27,10 @@
 
 USRBIN=$(DESTDIR)/usr/bin
 USRSHAREDOC=$(DESTDIR)/usr/share/doc
-
 ARCH=x86_64
 VERSION=1.9.7
 
-all:
+build:
 	tar -jxvpf phantomjs-$(VERSION)-linux-$(ARCH).tar.bz2
 	chrpath -d phantomjs-$(VERSION)-linux-$(ARCH)/bin/phantomjs
 
@@ -44,13 +43,10 @@
 	install --mode 0755 -d $(USRSHAREDOC)/phantomjs/examples
 	cp -a phantomjs-$(VERSION)-linux-$(ARCH)/examples/* $(USRSHAREDOC)/phantomjs/examples
 
-uninstall:
-	@true
-
 postinst:
 	@true
 
 clean:
 	rm -fr phantomjs-$(VERSION)-linux-$(ARCH)
 
-.PHONY: all install uninstall postinst clean
+.PHONY: build install postinst clean

=== debian/changelog ===
phantomjs (1.9.7-1+deb6) unstable; urgency=low

  * Initial release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 04 Sep 2014 14:37:03 -0400

=== debian/control ===
Source: phantomjs
Section: web
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.8.3
Homepage: http://www.phantomjs.org/

Package: phantomjs
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalistic headless WebKit-based with JavaScript API
 PhantomJS is a headless WebKit with JavaScript API. It has fast and native
 support for various web standards: DOM handling, CSS selector, JSON, Canvas,
 and SVG.
 .
 PhantomJS is an optimal solution for headless testing of web-based
 applications, site scraping, pages capture, SVG renderer, PDF converter
 and many other use cases.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      phantomjs
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE) build
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -f build configure
	$(MAKE) clean
	dh_clean 

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/phantomjs install
	rm $(CURDIR)/debian/phantomjs/usr/share/doc/phantomjs/LICENSE.BSD

binary-indep:
	@echo "########## binary-indep ##########"

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## phantomjs 1.9.7-1+deb7

=== debian/changelog ===
phantomjs (1.9.7-1+deb7) unstable; urgency=low

  * Initial release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 04 Sep 2014 14:37:03 -0400

## phantomjs 2.1.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,36 @@
 Source: phantomjs
 Section: web
-Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.8.3
+Priority: extra
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>
+Build-Depends: debhelper (>= 9),
+	libjs-coffeescript,
+	libfreetype6-dev,
+	libjpeg-dev,
+	libpng-dev,
+	libsqlite3-dev,
+	libssl-dev,
+	libz-dev,
+	libfontconfig1-dev,
+	libx11-dev,
+	libxext-dev,
+	libqt5webkit5-dev,
+	python,
+	qt5-qmake,
+	qtchooser
+# Generic tests:
+    ,gtk-vector-screenshot
+    ,libatk-adaptor
+    ,xvfb, xauth, libgl1-mesa-dri
+# Ghostdriver tests:
+#    ,libgradle-core-java
+Standards-Version: 3.9.6
 Homepage: http://www.phantomjs.org/
+Vcs-Git: https://anonscm.debian.org/collab-maint/phantomjs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phantomjs.git
 
 Package: phantomjs
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: minimalistic headless WebKit-based with JavaScript API
  PhantomJS is a headless WebKit with JavaScript API. It has fast and native

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#QT_CFG=-no-rpath -system-zlib -system-libjpeg -system-libpng \
#	-system-sqlite -plugin-sql-sqlite

export QT_SELECT = qt5

%:
	dh $@

override_dh_auto_build:
	python build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/phantomjs

override_dh_auto_test:
	## xvfb-run is affected by #814607.
	## By default Xvfb starts at 8bpp (GLX doesn't work at 8bpp).
	## https://bugzilla.redhat.com/show_bug.cgi?id=904851
	-xvfb-run --server-args="-screen 0 640x480x16" test/run-tests.py

## phantomjs 2.1.1+dfsg

=== debian/changelog ===
phantomjs (2.1.1+dfsg-2ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 18:13:48 +0200

phantomjs (2.1.1+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:16:17 +0100

phantomjs (2.1.1+dfsg-2) unstable; urgency=medium

  * New patch to allow comilation with QT versions other than 5.5
    (Closes: #827421).
  * Run tests under "dbus-launch"; Build-Depends += "dbus-x11".
  * Respect DEB_BUILD_OPTIONS="nocheck".
  * README: added note about lack of headless functionality.
  * Corrected short package description (Closes: #826541).
    Thanks, Mario Lang.
  * Standards-Version: 3.9.8.
  * Corrected Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Jun 2016 17:26:25 +1000

phantomjs (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release [January 2015].
  * Split refreshed "port-to-qt55.patch" into three patches:
    + build-qt55-evaluateJavaScript.patch
    + build-qt55-no-websecurity.patch
    + build-qt55-print.patch
  * Disabled Ghostdriver due to pre-built source-less Selenium blobs.
  * Added README.Debian explaining differences from upstream "phantomjs".
  * Copyright review and DFSG clean-up/repackaging.
  * Run upstream test suite.
  * Updated watch file.
  * Added man page.
  * New maintainer.
  * Build-Depends:
    + python
    + xvfb, xauth, libgl1-mesa-dri
    + gtk-vector-screenshot
    + libatk-adaptor
  * New patches:
    + build-hardening.patch
    + build-no-ghostdriver.patch
    + build-qt-components.patch
    + build-qtpath.patch
  * New lintian-overrides.
  * Removed obsolete patches:
    - dont-fail-on-unrecognised-makeflags.patch

  [ Mattia Rizzolo <mattia@debian.org> ]
  * debian/control: fix Vcs-Browser url

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 18 Feb 2016 03:25:42 +1100

phantomjs (2.0.0+dfsg-1) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * debian/watch: Moved to bitbucket.
  * Imported Upstream version 2.0.0 (Closes: #803334, #732376, #757699)
    + Fix "PDF content is scaled by 1.5277777777777777" in upstrem.
      (Closes: #726254)
    + Fix "SVG is not rendered in pdf" in upstream. (Closes: #726257)
    + Upstream drop support CoffeeScript. (Closes: #730087)

  [ Ximin Luo ]
  * Don't distribute a full obsolete copy of Qt.
  * Port to Qt 5.5.

  [ TANIGUCHI Takaki ]
  * Use system Qt5 library. (Closes: #784506, #679759, #699435)
  * Fix "ftbfs with GCC-5" (Closes: #778061)
  * debian/watch: Move to bitbucket.  (Closes: #754654)
  * debian/control:
    + Bump-Standards Verision to 3.9.6.
    + Update VCS-*.
  * debian/copyright: Update source URL.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 17:41:05 +0900

phantomjs (1.9.2-1) unstable; urgency=low

  * Imported Upstream version 1.9.2
  * debian/control: Bump Standards-Version to 3.9.4 (with no changes).
  * debian/control: Update B-D debhelper version to 9.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 Oct 2013 17:04:18 +0900

=== debian/control ===
--- 
+++ 
@@ -15,24 +15,25 @@
 	libx11-dev,
 	libxext-dev,
 	libqt5webkit5-dev,
-	python,
+	python2,
 	qt5-qmake,
 	qtchooser
 # Generic tests:
+    ,dbus-x11
     ,gtk-vector-screenshot
     ,libatk-adaptor
     ,xvfb, xauth, libgl1-mesa-dri
 # Ghostdriver tests:
 #    ,libgradle-core-java
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.phantomjs.org/
-Vcs-Git: https://anonscm.debian.org/collab-maint/phantomjs.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/phantomjs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phantomjs.git
 
 Package: phantomjs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: minimalistic headless WebKit-based with JavaScript API
+Description: minimalistic headless WebKit-based browser with JavaScript API
  PhantomJS is a headless WebKit with JavaScript API. It has fast and native
  support for various web standards: DOM handling, CSS selector, JSON, Canvas,
  and SVG.

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,15 @@
 	dh $@
 
 override_dh_auto_build:
-	python build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release
+	python2 build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/phantomjs
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	## xvfb-run is affected by #814607.
 	## By default Xvfb starts at 8bpp (GLX doesn't work at 8bpp).
 	## https://bugzilla.redhat.com/show_bug.cgi?id=904851
-	-xvfb-run --server-args="-screen 0 640x480x16" test/run-tests.py
+	-dbus-launch xvfb-run --server-args="-screen 0 640x480x16" test/run-tests.py
+endif

=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*//,\
  https://github.com/ariya/phantomjs/releases \
  .*/archive/v?\.?(\d[\d\.]+)\.tar\.gz
